Bug 1289102 - SELinux is preventing cups-pk-helper- from 'read' accesses on the sock_file cups.sock.
SELinux is preventing cups-pk-helper- from 'read' accesses on the sock_file c...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
medium Severity low
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:2680806394048ef48d233a9e50e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 07:51 EST by Martín Cigorraga
Modified: 2016-09-29 18:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-158.24.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 18:52:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martín Cigorraga 2015-12-07 07:51:11 EST
Description of problem:
SELinux is preventing cups-pk-helper- from 'read' accesses on the sock_file cups.sock.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that cups-pk-helper- should be allowed read access on the cups.sock sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep cups-pk-helper- /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:cupsd_config_t:s0-s0:c0.c1023
Target Context                system_u:object_r:cupsd_var_run_t:s0
Target Objects                cups.sock [ sock_file ]
Source                        cups-pk-helper-
Source Path                   cups-pk-helper-
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-155.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.6-301.fc23.x86_64 #1 SMP Fri
                              Nov 20 22:22:41 UTC 2015 x86_64 x86_64
Alert Count                   2
First Seen                    2015-12-03 21:59:24 ART
Last Seen                     2015-12-03 22:01:08 ART
Local ID                      1da6ef70-388c-4945-952f-6a339f4aa8e0

Raw Audit Messages
type=AVC msg=audit(1449190868.78:690): avc:  denied  { read } for  pid=6425 comm="cups-pk-helper-" name="cups.sock" dev="tmpfs" ino=21879 scontext=system_u:system_r:cupsd_config_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cupsd_var_run_t:s0 tclass=sock_file permissive=0


Hash: cups-pk-helper-,cupsd_config_t,cupsd_var_run_t,sock_file,read

Version-Release number of selected component:
selinux-policy-3.13.1-155.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.6-301.fc23.x86_64
type:           libreport
Comment 1 Fedora Update System 2016-09-16 04:37:51 EDT
selinux-policy-3.13.1-158.24.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f739cc7524
Comment 2 Fedora Update System 2016-09-16 20:53:22 EDT
selinux-policy-3.13.1-158.24.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f739cc7524
Comment 3 Fedora Update System 2016-09-29 18:52:53 EDT
selinux-policy-3.13.1-158.24.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.